#!/bin/sh

name="popa3d"
title="popa3d"
package="popa3d"
version="0.6.3"
build="1"
noarch="n"
build_info="Standard build."

info="Secure and fast POP3 server."
desc="popa3d is a Post Office Protocol version 3 (POP3) server.
A POP3 server operates on local mailboxes on behalf of
its remote users. Users can connect at any time to check
their mailbox and fetch the mail that has accumulated.
The design goals of this POP3 server are security,
reliability, RFC compliance (slightly relaxed to work with
real-world POP3 clients), and high performance.
The popa3d daemon was written by Solar Designer."
category="net/server/pop3"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,CONTACT,DESIGN,INSTALL,LICENSE,VIRTUAL"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://openwall.com/popa3d/$name-$version.tar.gz

apply_patch slack
apply_patch qmail 1

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_make
do_install

mkdir -p $pkg_main/var/spool/pop

make_docs

make_package main

clean_up

# $Log: popa3d.builder,v $
# Revision 1.8  2003/06/03 14:08:42  swiergot
# - Build 1.
#
# Revision 1.7  2003/06/03 14:01:07  swiergot
# - Version 0.6.3.
#
# Revision 1.6  2003/03/23 18:26:51  swiergot
# - Build 3.
#
# Revision 1.5  2003/03/23 18:22:08  swiergot
# - Added qmail patch. This patch allows to decide by passing command-line
#   option, whether popa3d should use /var/spool/mail or ~/Mailbox. Originally
#   this choice is being taken before compiling popa3d. The patch has been
#   made against sources modified with the slack patch.
#
# Revision 1.4  2003/03/23 12:35:23  swiergot
# - Build 2.
#
# Revision 1.3  2003/03/23 12:22:15  swiergot
# - Improved the slack patch (changed log facility to MAIL).
#
# Revision 1.2  2003/03/20 17:19:03  swiergot
# - Build 1.
#
# Revision 1.1  2003/03/20 17:06:00  swiergot
# - Initial release.
# - Version 0.6.2.
#
